# Enum Class SSLHostConfig.CertificateVerification

java.lang.Object
java.lang.Enum<SSLHostConfig.CertificateVerification>
org.apache.tomcat.util.net.SSLHostConfig.CertificateVerification

All Implemented Interfaces:
  `Serializable, Comparable<SSLHostConfig.CertificateVerification>, Constable`

Enclosing class:
  `SSLHostConfig`

public static enum SSLHostConfig.CertificateVerification extends Enum<SSLHostConfig.CertificateVerification>
Certificate verification levels.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  No certificate verification.
  `OPTIONAL`
  Optional verification.
  `OPTIONAL_NO_CA`
  Optional verification without CA check.
  `REQUIRED`
  Required verification.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SSLHostConfig.CertificateVerification`
  `fromString(String value)`
  Creates a CertificateVerification from a string value.
  `boolean`
  `isOptional()`
  Returns whether this verification level is optional.
  `static SSLHostConfig.CertificateVerification`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SSLHostConfig.CertificateVerification[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final SSLHostConfig.CertificateVerification NONE
    No certificate verification.

  - ### OPTIONAL_NO_CA

    public static final SSLHostConfig.CertificateVerification OPTIONAL_NO_CA
    Optional verification without CA check.

  - ### OPTIONAL

    public static final SSLHostConfig.CertificateVerification OPTIONAL
    Optional verification.

  - ### REQUIRED

    public static final SSLHostConfig.CertificateVerification REQUIRED
    Required verification.

- ## Method Details

  - ### values

    public static SSLHostConfig.CertificateVerification[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SSLHostConfig.CertificateVerification valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isOptional

    public boolean isOptional()
    Returns whether this verification level is optional.
    Returns:
      `true` if optional

  - ### fromString

    public static SSLHostConfig.CertificateVerification fromString(String value)
    Creates a CertificateVerification from a string value.
    Parameters:
      `value` - the string value
    Returns:
      the corresponding CertificateVerification